Runtime

## org.eclipse.gmf.runtime.diagram.ui.printing.actions
Class DefaultPrintActionHelper

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.printing.actions.DefaultPrintActionHelper

    public class DefaultPrintActionHelper

extends java.lang.Object

Provides basic printing functionality. This does a print from a default print dialog.

Method Summary
`static void` `doRun(IEditorPart editorPart, org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.SWTDiagramPrinter diagramPrinter)` Prints the diagram after a default print dialog is opened for the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### doRun

    public static void doRun(IEditorPart editorPart,
                             org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.SWTDiagramPrinter diagramPrinter)

  Prints the diagram after a default print dialog is opened for the user.

  Parameters:
    `editorPart` - the IEditorPart containing the diagram to print
    `diagramPrinter` - the diagram printer that does the work of actually printing the diagrams

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.